Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.util
Class DefaultDecoderFactory

    java.lang.Object
      net.fortuna.ical4j.util.DecoderFactory
          net.fortuna.ical4j.util.DefaultDecoderFactory

    public class DefaultDecoderFactory

extends DecoderFactory

Author:
  Ben Fortuna

Field Summary

Fields inherited from class net.fortuna.ical4j.util.DecoderFactory
`KEY_FACTORY_CLASS`

Constructor Summary
`DefaultDecoderFactory()`

Method Summary
`BinaryDecoder` | `createBinaryDecoder(Encoding encoding)` Returns a new `BinaryDecoder` for the specified encoding.
`StringDecoder` | `createStringDecoder(Encoding encoding)` Returns a new `StringDecoder` for the specified encoding.

Methods inherited from class net.fortuna.ical4j.util.DecoderFactory
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDecoderFactory

    public DefaultDecoderFactory()

Method Detail

### createBinaryDecoder

    public BinaryDecoder createBinaryDecoder(Encoding encoding)
                                      throws UnsupportedEncodingException

  Description copied from class: `DecoderFactory`
  Returns a new `BinaryDecoder` for the specified encoding.

  Specified by:
    `createBinaryDecoder` in class `DecoderFactory`
  Returns:
    a `BinaryDecoder` instance
  Throws:
    `UnsupportedEncodingException` - where an encoder supporting the specified encoding is not available.

### createStringDecoder

    public StringDecoder createStringDecoder(Encoding encoding)
                                      throws UnsupportedEncodingException

  Description copied from class: `DecoderFactory`
  Returns a new `StringDecoder` for the specified encoding.

  Specified by:
    `createStringDecoder` in class `DecoderFactory`
  Returns:
    a `StringDecoder` instance
  Throws:
    `UnsupportedEncodingException` - where an encoder supporting the specified encoding is not available.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.